/********************************************************************
 * $Author: lindner $
 * $Revision: 1.6 $
 * $Date: 1993/01/08 23:04:48 $
 * $Source: /home/mudhoney/GopherSrc/release1.11/RCS/conf.h,v $
 * $State: Rel $
 *
 * Paul Lindner, University of Minnesota CIS.
 *
 * Copyright 1991, 1992 by the Regents of the University of Minnesota
 * see the file "Copyright" in the distribution for conditions of use.
 *********************************************************************
 * MODULE: conf.h
 * More configuration parameters.
 *********************************************************************
 * Revision History:
 * $Log: conf.h,v $
 *
 * Revision 1.6VMS 1993-26-20 F.Macrides	macrides@sci.wfeb.edu
 * Added callable TPU support for pager.
 *
 * Revision 1.6VMS 1993-08-20 F.Macrides	macrides@sci.wfeb.edu
 * Added AFTP_HOST and AFTP_PORT logicals for the 'f' command (open
 *  a connection to an aFTP server via the Gopher server gateway).
 *
 * Revision 1.6VMS 1993-08-20 F.Macrides	macrides@sci.wfeb.edu
 * Changed the hypertext browser logical to HTML_COMMAND (and the
 * corresponding environment logical to "GOPHER_HTML").  The GOPHERHELP
 * logical now points to GOPHER.HELP (GOPHER.HLP is George Greenwade's
 * module for the VMS SYSTEM HELP library).
 *
 * Revision 1.6VMS 1993-08-19 F.Macrides	macrides@sci.wfeb.edu
 * Added define for a hypertext browser logical (WWW_COMMAND).  Lynx
 * and mosaic are good choices.  Leave it defined as "- none -" if you
 * don't have a hypertext browser installed on your system.  Can also
 * be set in the Bookmark file via the Options command, and via an
 * environment logical ("GOPHER_WWW").
 *
 * Revision 1.6VMS 1993-07-12 F.Macrides	macrides@sci.wfeb.edu
 * Added more modifications for VMS Server (PSU/LCS server)
 *
 * Revision 1.6VMS 1993-07-06 F.Macrides	macrides@sci.wfeb.edu
 * Added multinet command verb to its telnet and tn3270 definitions.
 *
 * Revision 1.6VMS 1993-07-01 F.Macrides	macrides@sci.wfeb.edu
 * Added MAIL_ADRS for setting up the Internet mail transport on VMS.
 *
 * Revision 1.6VMS 1993-05-19 D.Sherman		dennis_sherman@unc.edu
 * Added modifications for VMS Server (PSU/LCS server)
 *
 * Revision 1.6  1993/01/08  23:04:48  lindner
 * Changed TN3270_COMMAND for Multinet
 *
 * Revision 1.5  1992/12/31  05:32:43  lindner
 * Added mods for VMS
 *
 * Revision 1.4  1992/12/22  21:45:26  lindner
 * Fixed bug with that zcat code I just added...
 *
 * Revision 1.3  1992/12/21  20:27:25  lindner
 * Added #ifdef to make zcat changable..
 *
 * Revision 1.2  1992/12/13  05:56:32  lindner
 * Added options for connection time-out code in the server (mtm)
 *
 * Revision 1.1  1992/12/11  19:01:58  lindner
 * Gopher1.1 Release
 *
 *********************************************************************/

/*
 * Defaults for the client program
 * On startup the client will contact either the gopher server
 * CLIENT1_HOST or CLIENT2_HOST randomly.
 *
 * Set CLIENT2_PORT to 0 if you only want one root machine
 */

#define CLIENT1_HOST "gopher.tc.umn.edu"
#define CLIENT2_HOST "gopher2.tc.umn.edu"

#define CLIENT1_PORT 70
#define CLIENT2_PORT 70


/*
 * Defaults for the client's Gopher server aFTP gateway
 * On command 'f' the client will prompt for an aFTP Host
 * and create a directory for it via the gateway
 *
 * Set AFTP_HOST to your Gopher server with the gateway implemented
 *
 * Set AFTP_PORT to its port number
 */

#define AFTP_HOST "ashpool.micro.umn.edu" /* */

#define AFTP_PORT 70 /* */


/*
 * Override some defaults for various platforms
 */

#if defined(sun)
#define PLAY_COMMAND "play -v 40 -"
#endif


#if defined(hpux) || defined(_AUX_SOURCE) || defined(_SEQUENT_) || defined(USG)
#define MAIL_COMMAND "mailx"
#endif


#if defined(NeXT)
#define NO_VPRINTF
#define PLAY_COMMAND "play -v 40 -"
#endif


#if defined(_SEQUENT_)
#define PRINTER_COMMAND "lp"
#endif


#if defined(VMS)
/*
 * TYPE/PAGE is the default VMS utility for displaying text.
 * Alternatively, define "TPU" for invoking callable TPU.  Its /READ_ONLY
 * and /NOJOURNAL qualifiers are added internally by the software.  Add
 * other qualifiers as appropriate for your environment.
 * A still better alternative is to acquire MOST, optimized for Gopher and
 * C SWING, via anonymous FTP from narnia.memst.edu.  Define it with the -n
 * switch.
 */
#define PAGER_COMMAND "type/page" /* */
/* #define PAGER_COMMAND "TPU/COMM=Gopher_Dir:GOPHER.TPU" /* */
/* #define PAGER_COMMAND "most -n" /* */

/*
 * MAIL_COMMAND is the program logical for the mail verb. 
 * MAIL_ADRS is the argument for an sprintf() command that can add
 * "prefix%""ADDRESS""" to the Internet mail address given by the
 * user.  It is structured for PMDF's IN%"INTERNET_ADDRESS"
 * scheme.  The %s is replaced with the address given by the
 * user.  No conversion will be done if a DECNET or simple
 * VMS MAIL address is given.  The default definition of "%s" for
 * MAIL_ADRS does not provide translation.  If you want to use
 * PMDF's prefix of IN%, Message Exchange's (MX's) prefix of MX%,
 * MultiNet's prefix of SMTP%,  or Wollongong's prefix of WINS%,
 * comment out the default definition of MAIL_ADRS and uncomment
 * the appropriate line below to your selected system.
 */
#define MAIL_COMMAND "mail"
#define MAIL_ADRS "%s" /* */
/* #define MAIL_ADRS "\"IN%%\"\"%s\"\"\""   /* */
/* #define MAIL_ADRS "\"MX%%\"\"%s\"\"\""   /* */
/* #define MAIL_ADRS "\"WINS%%\"\"%s\"\"\"" /* */
/* #define MAIL_ADRS "\"SMTP%%\"\"%s\"\"\"" /* */

/*
 * Use MultiNet's command verb for telnet and tn3270, so that it can
 * co-exist with other TCPIP transports on VMS systems.
 */
#if defined(MULTINET)
#   define TELNET_COMMAND "multinet telnet"
#   define TN3270_COMMAND "multinet telnet/tn3270"
#else
#   define TELNET_COMMAND "telnet"
#   define TN3270_COMMAND "tn3270"
#endif

/*
 * The Printer Command may be setup to use a command procedure to save the
 * file before printing it. This avoids the problem of Gopher removing the
 * temporary file before it can be printed. For example set up a command
 * procedure in a public place (e.g., Gopher_Dir:GOPHERPRINT.COM) containing:
 *        $ file="sys$scratch:gopher_"+f$extract(21,2,f$time())+".tmp"
 *        $ copy 'p1' 'file'
 *        $ print 'f$trnlnm("GOPHERQUEUE")' /delete/noidentify 'file'
 *  (Note that the logical GOPHERQUEUE can be used to set options like
 *   default queue name or form type eg DEFINE/JOB GOPHERQUEUE "/queue=que1")
 * and then define the Printer Command appropriately
 */
#define PRINTER_COMMAND "print" /* */
/* #define PRINTER_COMMAND "@Gopher_Dir:GOPHERPRINT" /* */

/*
 * Sounds are not implemented on VMS.
 */
#define PLAY_COMMAND "- none -"

/*
 * The builtin HTML browser is not yet functional.
 * Lynx is a Curses-based HTML browser, available from ftp2.cc.ukans.edu,
 * which was initially designed to use Gopher as its server and still works
 * well with this software (on both VMS and Unix platforms).
 */
#define HTML_COMMAND "- none -"
/* #define HTML_COMMAND "lynx" /* */

/*
 * Point this to the on-line Gopher+ help file.
 */
#define GOPHERHELP      "Gopher_Dir:gopher.help"

#endif /* VMS (Have you noticed how verbose VMSers tend to be?!?!?) */



/*
 * Now set the parameters, only if not set above... 
 */
#ifndef PAGER_COMMAND
#define PAGER_COMMAND "more -d"
#endif

#ifndef MAIL_COMMAND
#define MAIL_COMMAND "mail"
#endif

#ifndef TELNET_COMMAND
#define TELNET_COMMAND "telnet"
#endif

#ifndef TN3270_COMMAND
#define TN3270_COMMAND "tn3270"
#endif

#ifndef PRINTER_COMMAND
#define PRINTER_COMMAND "lpr"
#endif

#ifndef PLAY_COMMAND
#define PLAY_COMMAND "/bin/false"
#endif

#ifndef MIME_COMMAND
#define MIME_COMMAND "metamail -P" 
#endif

#ifndef IMAGE_COMMAND 
#define IMAGE_COMMAND "xloadimage -fork"
#endif

#ifndef HTML_COMMAND 
#define HTML_COMMAND "- none -"
#endif

/****************** gopherd configuration ***********************/

/*
 * This is the default time to cache directory entries on the server.
 */

#define CACHE_TIME 180  /** Default cache time of three minutes. **/


/*
 * The load average at which to restrict connections
 */

#define MAXLOAD 10.0

/*
 * Return type for signal()
 */

#define SIGRETTYPE void

/*
 * Timeout for network reads (5 minutes)
 */

#define READTIMEOUT (5 * 60)


#define LIST            "/tmp/gftp+"            /* Temp list file prefix */

/** Where the zcat command is...  **/
#if defined(M_XENIX)
#define ZCATCMD         "/usr/bin/zcat"
#else
#define ZCATCMD         "/usr/ucb/zcat"
#endif


/** Things below here are added for the PSU/LCS VMS Gopherd Server.
 ** They may be taken out again as it is more fully developed and
 ** moved into compliance with the current distribution.
 **/

#ifdef VMS
/*
** If your hostname command returns the Fully Qualified Domain Name
** (i.e. it looks like foo.bar.edu and not just foo) then make
** the domain name a null string.  Otherwise put in the rest of
** your domain name that `hostname` doesn't return.
*/

#ifndef DOMAIN_NAME
#define DOMAIN_NAME ""
#endif

/*
** This is the default place where all the data is going to reside.
*/

#ifndef DATA_DIRECTORY
#define DATA_DIRECTORY "GOPHER_DATADIR"
#endif

/*
** This is the name of a system table logical that can be used to stop
** and/or restart the server.
*/

#ifndef RESTART
#define RESTART "GOPHER_RESTART"
#endif

/*
** This is the name of a system table logical that can be used to specify
** a command file containing foreign command and logical definitions, to
** be executed by spawned subprocess when the gopher server is run from
** Inetd/MULTINET_SERVER.  Such processes are created with LOGINOUT.EXE
** as the image, but they do not execute SYS$MANAGER:SYLOGIN.COM.
*/

#ifndef LOGINCOM
#define LOGINCOM "GOPHER_LOGIN"
#endif

/*
** This is the default file where the configuration options are found.
**
** It can be overridden on the command line if not running under
** Inetd/MULTINET_SERVER.
*/

#ifndef CONF_FILE
#define CONF_FILE "GOPHER_CONFIG"
#endif

/*
** Uncomment this out if you are running a system that doesn't have
** dirent directory routines.  Note that Next (and Mach) have the
** dirent routines, but they don't seem to work.
*/

#define BROKENDIRS

#if defined(NeXT) || defined(n16)
#define BROKENDIRS
#endif

/*
**
** This #define is what will be transmitted by the server when it wants to
** refuse service to a client
**
*/

#define BUMMERSTR "We cannot allow off campus connections to this server. Sorry"


/*
** Uncomment this out if you're compiling on a NeXT machine.
**
** Would be nice if I could figure out why the varargs stuff dies without
** this!
*/

#ifdef NeXT
#define __STRICT_BSD__ /**/
#endif

/*
** Uncomment this out if you want to use allow the gopher data server to
** also act as a gopher index server.
*/

#define BUILTIN_SEARCH /**/

/*
** Uncomment *one* of the first two search engines for Unix.  
**    (Neither has been port to VMS as of yet).
*/

/*#define NEXTSEARCH /**/
/*#define WAISSEARCH /**/
#define SHELLSEARCH /**/
#define GREPSEARCH /**/
#define CMD1SEARCH /**/

/*
** Uncomment this out if you want to use load restricting.
*/

#define LOADRESTRICT /**/

 
#endif /* VMS for PSU/LCS Gopherd */
